Get Live Commits Scan
curl --request GET \
--url https://example.com/api/live_commits/scan/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://example.com/api/live_commits/scan/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://example.com/api/live_commits/scan/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Live Commits
Get Live Commits Scan
GET
/
live_commits
/
scan
/
Get Live Commits Scan
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
List of VC IDs
List of Repo IDs
List of Commit IDs
Filter by author name
Filter by commit message
Page number
Number of items per page
Filter by scan type: SECRET or VULNERABILITY
Available options:
SECRET, VULNERABILITY Search across all parameters
Sort by 'repo_count', 'secret_count', or 'vulnerability_count'
Order by 'asc' or 'desc'
Response
Successful Response